### Method

# Xdp Portal session_monitor_query_end_response

#### Declaration [src]

    void
    xdp_portal_session_monitor_query_end_response (
      XdpPortal* portal
    )

#### Description [src]

This method should be called within one second of receiving a `XdpPortal::session-state-changed` signal with the ‘Query End’ state, to acknowledge that they have handled the state change.

Possible ways to handle the state change are either to call `xdp_portal_session_inhibit()` to prevent the session from ending, or to save your state and get ready for the session to end.